
#ifndef Blk_Protos_Loaded
#define Blk_Protos_Loaded

/* -------- blkade.c -------- */

int calc_crc_file( const char *filename, long offset,
    size_t bufsize,long *crcptr, struct novblk *x);
int blockade( const char *filename, size_t bufsize);
long blk_fsize( FILE *);

/* ------ chkblk.c  ------ */

unsigned long chkblk(char *buffer, int size, unsigned long init);
void * blk_user_pointer( int *size );

/* ------ blkade1.c  ------ */

char *get_blk_err_msg( int );

/* ------ blkade2.c  ------ */

unsigned long chksum8( char *, int , unsigned long);

/* ------ blkade3.c  ------ */ 

unsigned long chksum32( char *, int , unsigned long);

/* ------ blkade4.c  ------ */ 

unsigned long crc32(char *buffer, int size, unsigned long init);
int showcrc( long crc);

/* ------ show_nov.c ------ */ 

void show_nov( struct novblk *);

/* ------    end     ------ */
#endif

